public class if_xjtest
{
public static void main(String arg[])
{if_xj f=(double x[])->x[0]*x[0]*x[1]*x[2]+x[1]*x[1];;
double x1[]={1.0,2.0,1.0};
 double f1[][]=f.d2func(x1);
 System.out.println("f1=\n"+Matrix.toString(f1));
}	
}